[Overview][Constants][Types][Index] | Reference for unit 'cofftypes' (#fcl-res)

# TCoffMachineType

Enumeration for COFF machine type

## Declaration

Source position: cofftypes.pp line 23

`type TCoffMachineType = (`
`cmti386,` |  | Intel i386
`cmtarm,` |  | ARM
`cmtx8664,` |  | AMD x86_64
`cmtppc32aix,`
`cmtppc64aix,`
`cmtaarch64`
`);`

## Description

This enumeration specifies the COFF machine type.

It is used by TCoffResourceWriter to specify the machine type of the generated object file and by TCoffResourceReader to read the machine type of the object file that has been read.

## See also

TCoffResourceWriter.MachineType |  | The machine type of the object file
TCoffResourceReader.MachineType |  | The machine type of the object file